# coding: utf-8

#  -----------------------------------------------------------------------------------------
#  (C) Copyright IBM Corp. 2017- 2023.
#  https://opensource.org/licenses/BSD-3-Clause
#  -----------------------------------------------------------------------------------------

from pprint import pformat
from six import iteritems
import re


class PipelineVersionInput(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, parent_version_href=None):
        """
        PipelineVersionInput - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'parent_version_href': 'str'
        }

        self.attribute_map = {
            'parent_version_href': 'parentVersionHref'
        }

        self._parent_version_href = parent_version_href

    @property
    def parent_version_href(self):
        """
        Gets the parent_version_href of this PipelineVersionInput.
        Href of the pipeline version from which the current one was created

        :return: The parent_version_href of this PipelineVersionInput.
        :rtype: str
        """
        return self._parent_version_href

    @parent_version_href.setter
    def parent_version_href(self, parent_version_href):
        """
        Sets the parent_version_href of this PipelineVersionInput.
        Href of the pipeline version from which the current one was created

        :param parent_version_href: The parent_version_href of this PipelineVersionInput.
        :type: str
        """

        self._parent_version_href = parent_version_href

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
